Keep In Touch

Delete a keep-in-touch frequency

Delete a frequency. When cadences use it, say what happens to them: `?cadences=move&move_to=<frequencyId>` moves them to another frequency (400 `invalid_move_target` otherwise) and `?cadences=delete`

DELETE /v2/keep-in-touch/frequencies/{frequencyId}

Parameters

Path parameters

frequencyId
string (uuid) required

Query parameters

cadences
string enum
What happens to the cadences on this frequency: 'move' them to move_to, or 'delete' them. Required when any exist.Possible values: "move", "delete"
move_to
string (uuid)
The frequency to move the cadences to; with cadences=move.

Header parameters

Idempotency-Key
string
Optional. Accepted to dedupe retries on this endpoint. See apps/rest-api/src/shared/idempotency.ts.

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.frequency_id
string (uuid) required
data.cadences_moved
integer required
data.cadences_deleted
integer required

Example

{
  "data": {
    "frequency_id": "00000000-0000-0000-0000-000000000000",
    "cadences_moved": 0,
    "cadences_deleted": 0
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/keep-in-touch/frequencies/00000000-0000-0000-0000-000000000000 \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026